<?php
/*
*
* Language file for Help Desk Software HESK (https://www.hesk.com)
* Language: Português do Brasil (Brazilian Portuguese)
* Version: 2.7.x
*
* ==> CONTRIBUTORS
*
* Fernando Souza
* Murilo Zoratti
* Fabio Bmed (http://www.fabiobmed.com.br)
* Bruno Andrade da Silva
*
* ==> HOW TO TRANSLATE THIS FILE
*
* https://www.hesk.com/knowledgebase/?article=34
*
* ==> HOW TO CUSTOMIZE TEXT
*
* Do NOT customize text inside here, it will be overwritten by updates!
*
* Follow this guide instead:
* https://www.hesk.com/knowledgebase/?article=88
*
* ==> IMPORTANT: FILE ENCODING
*
* This file *must* be saved in UTF-8 encoding without byte order mark (BOM)
* Test chars: àáâãäåæ
*
* https://www.hesk.com/knowledgebase/?article=87
*
*/

// Native name of language, for example: Deutsch
$hesklang['LANGUAGE']='Português do Brasil';

// English name of language, for example: German
$hesklang['LANGUAGE_EN']='Brazilian Portuguese';

// Language encoding. It MUST be set to UTF-8 for all languages!
$hesklang['ENCODING']='UTF-8';

// MySQL utf8 collation. Do not change if not sure what to use.
$hesklang['_COLLATE']='utf8_unicode_ci';

// This is the email break line that will be used in email piping
$hesklang['EMAIL_HR']='------ Responder acima desta linha ------';

// EMAIL SUBJECTS
$hesklang['new_ticket_staff']='[#%%TRACK_ID%%] Novo Ticket: %%SUBJECT%%';
$hesklang['ticket_received']='[#%%TRACK_ID%%] Ticket recebido: %%SUBJECT%%';
$hesklang['ticket_assigned_to_you']='[#%%TRACK_ID%%] Ticket atribuido: %%SUBJECT%%';
$hesklang['new_reply_by_customer']='[#%%TRACK_ID%%] Nova resposta para: %%SUBJECT%%';
$hesklang['new_reply_by_staff']='[#%%TRACK_ID%%] "Nova resposta para o seu ticket de suporte";: %%SUBJECT%%';
$hesklang['category_moved']='[#%%TRACK_ID%%] Ticket movido: %%SUBJECT%%';
$hesklang['new_note']='[#%%TRACK_ID%%] Nota agregada a: %%SUBJECT%%';
$hesklang['new_pm']='Nova Mensagem privada: %%SUBJECT%%';
$hesklang['forgot_ticket_id']='Lista de seus tickets de suporte';

// ERROR MESSAGES
$hesklang['cant_connect_db']='Não foi possível se conectar ao banco de dados!';
$hesklang['invalid_action']='Ação Inválida';
$hesklang['select_username']='Por favor, digite seu nome de usuário';
$hesklang['enter_pass']='Por favor, digite sua senha';
$hesklang['cant_sql']='Não foi possível executar este comando SQL';
$hesklang['contact_webmsater']='Por favor, notifique nosso webmaster:';
$hesklang['mysql_said']='MySQL retornou';
$hesklang['wrong_pass']='Senha Incorreta.';
$hesklang['session_expired']='Sessão expirada, por favor, entre com seu login nos campos abaixo.';
$hesklang['attempt']='Tentativa Inválida!';
$hesklang['not_authorized_tickets']='Você não está autorizado a visualizar os tickets desta categoria!';
$hesklang['must_be_admin']='Você não está autorizado a visualizar esta página! Faça login como administrador.';
$hesklang['no_session']='Impossível iniciar nova sessão!';
$hesklang['error']='Erro';
$hesklang['int_error']='Erro interno de script';
$hesklang['no_trackID']='Sem ID rastreador';
$hesklang['status_not_valid']='Status inválido';
$hesklang['trackID_not_found']='ID rastreador não encontrado';
$hesklang['enter_message']='Por favor, insira sua mensagem';
$hesklang['select_priority']='Por favor, selecione a prioridade';
$hesklang['ticket_not_found']='Ticket não encontrado! Por favor, verifique se o ID rastreador foi digitado corretamente!';
$hesklang['no_selected']='Nenhum ticket selecionado, nada para mudar';
$hesklang['id_not_valid']='Este não é um ID válido';
$hesklang['enter_id']='Por favor, digite o ID rastreador';
$hesklang['enter_name']='Por favor, digite o nome do cliente';
$hesklang['enter_date']='Por favor, digite a data que deseja procurar';
$hesklang['date_not_valid']='Esta não é uma data válida. Por favor, digite a data neste formato <b>DD-MM-AAAA</b>';
$hesklang['enter_subject']='Por favor, digite um assunto para o ticket';
$hesklang['invalid_search']='Ação de busca inválida';
$hesklang['choose_cat_ren']='Por favor, selecione uma categoria para ser renomeada';
$hesklang['cat_ren_name']='Por favor, digite o nome da nova categoria';
$hesklang['cat_not_found']='Categoria não encontrada';
$hesklang['enter_cat_name']='Por favor, digite o nome da categoria';
$hesklang['no_cat_id']='Sem ID de categoria';
$hesklang['cant_del_default_cat']='Você não pode deletar a categoria default, você pode somente renomeá-la';
$hesklang['no_valid_id']='ID de usuário inválido';
$hesklang['user_not_found']='Usuário não encontrado';
$hesklang['enter_real_name']='Por favor, digite um nome real';
$hesklang['enter_valid_email']='Por favor, digite um e-mail válido';
$hesklang['enter_username']='Por favor, digite o nome de usuário (login)';
$hesklang['asign_one_cat']='Por favor associe o usuário a pelo menos uma categoria!';
$hesklang['signature_long']='Assinatura do usuário é muito longa! Por favor, limite a assinatura a 1000 caracteres';
$hesklang['confirm_user_pass']='Por favor, confirme senha';
$hesklang['passwords_not_same']='As senhas inseridas não conferem!';
$hesklang['cant_del_admin']='Você não pode deletar o administrador padrão!';
$hesklang['cant_del_own']='Você não pode deletar o perfil no qual está logado!';
$hesklang['enter_your_name']='Por favor, insira seu nome';
$hesklang['sel_app_cat']='Por favor, selecione a categoria apropriada';
$hesklang['sel_app_priority']='Por favor, selecione a prioridade apropriada';
$hesklang['enter_ticket_subject']='Por favor, digite o assunto do seu ticket';
$hesklang['user_not_found_nothing_edit']='Usuário não encontrado ou nada a mudar';

// ADMIN PANEL
$hesklang['administrator']='Administrador';
$hesklang['login']='Login';
$hesklang['user']='Usuário';
$hesklang['username']='Nome de usuário';
$hesklang['pass']='Senha';
$hesklang['confirm_pass']='Confirme senha';
$hesklang['logged_out']='Desconectado';
$hesklang['logout']='Sair';
$hesklang['logout_success']='Você saiu do sistema com sucesso!';
$hesklang['click_login']='Clique aqui para efetuar login';
$hesklang['back']='Voltar';
$hesklang['displaying_pages']='Mostrando <b>%d</b> tickets. Páginas:';
$hesklang['trackID']='ID de rastr.';
$hesklang['timestamp']='Timestamp';
$hesklang['name']='Nome e Sobrenome';
$hesklang['subject']='Assunto';
$hesklang['status']='Status';
$hesklang['priority']='Prioridade';
$hesklang['open']='Novo';
$hesklang['open_action']='Abrir'; // Open ACTION
$hesklang['close']='Closed'; // Closed ticket STATUS
$hesklang['any_status']='qualquer status';
$hesklang['high']='Alta';
$hesklang['medium']='Média';
$hesklang['low']='Baixa';
$hesklang['del_selected']='Deletar tickets selecionados';
$hesklang['manage_cat']='Gerenciar Categorias';
$hesklang['profile']='Seu Perfil';
$hesklang['show_tickets']='Mostrar tickets';
$hesklang['sort_by']='Ordenar por';
$hesklang['date_posted']='Data de Postagem';
$hesklang['category']='Categoria';
$hesklang['any_cat']='Qualquer categoria';
$hesklang['order']='Ordem';
$hesklang['ascending']='ascendente';
$hesklang['descending']='descendente';
$hesklang['display']='Exibir';
$hesklang['tickets_page']='tickets por página';
$hesklang['find_ticket']='Procurar ticket';
$hesklang['yyyy_mm_dd']='DD-MM-AAAA';
$hesklang['results_page']='resultados por página';
$hesklang['opened']='aberto'; // The ticket has been OPENED
$hesklang['closed']='Resolvido'; // Ticket has been RESOLVED
$hesklang['ticket']='Ticket';
$hesklang['tickets']='Tickets';
$hesklang['ticket_been']='Este ticket foi';
$hesklang['view_ticket']='Visualizar ticket';
$hesklang['open_tickets']='Tickets abertos';
$hesklang['remove_statement']='Remove &quot;Powered by&quot; statement';
$hesklang['click_info']='Clique aqui para mais infomações';
$hesklang['reply_added']='Reply added';
$hesklang['reply_submitted']='Resposta enviada';
$hesklang['ticket_marked']='Este ticket foi marcado';
$hesklang['ticket_status']='Status do ticket';
$hesklang['replies']='Respostas';
$hesklang['date']='Data';
$hesklang['email']='E-mail';
$hesklang['ip']='IP';
$hesklang['message']='Mensagem';
$hesklang['add_reply']='Adicionar resposta';
$hesklang['close_this_ticket']='Fechar este ticket';
$hesklang['change_priority']='Mudar prioridade para';
$hesklang['attach_sign']='Anexar assinatura';
$hesklang['profile_settings']='Preferências do perfil';
$hesklang['submit_reply']='Enviar resposta';
$hesklang['support_panel']='Painel de suporte';
$hesklang['ticket_trackID']='ID do ticket rastreador';
$hesklang['c2c']='Cique aqui para continuar';
$hesklang['tickets_deleted']='Tickets apagados';
$hesklang['num_tickets_deleted']='<b>%d</b> tickets foram apagados';
$hesklang['found_num_tickets']='Encontrados <b>%d</b> tickets. Páginas:';
$hesklang['confirm_del_cat']='Tem certeza que deseja remover esta categoria?';
$hesklang['cat_intro']='Aqui você pode gerenciar as categorias, que são úteis para classificar tickets por relevância (por exemplo &quot;Vendas&quot;, &quot;Problemas de Hardware&quot;, &quot;Problemas de PHP/MySQL&quot; etc) e para designar usuários ás categorias (por exemplo, seu pessoal de vendas pode apenas ver tickets enviados para &quot;Vendas&quot; categoria)';
$hesklang['cat_name']='Nome da categoria';
$hesklang['remove']='Remover';
$hesklang['add_cat']='Adicionar nova categoria';
$hesklang['max_chars']='max de 40 caracteres';
$hesklang['create_cat']='Criar categoria';
$hesklang['ren_cat']='Renomear categoria';
$hesklang['to']='para';
$hesklang['cat_added']='Categoria adicionada';
$hesklang['cat_name_added']='Categoria %s foi adicionada com sucesso';
$hesklang['cat_renamed']='Categoria renomeada';
$hesklang['cat_renamed_to']='Categoria selecionada foi renomeada com sucesso para';
$hesklang['cat_removed']='Categoria removida';
$hesklang['cat_removed_db']='Categoria selecionada foi removida com sucesso do banco de dados';
$hesklang['sure_remove_user']='Tem certeza de deseja remover este usuário?';
$hesklang['manage_users']='Gerenciar Usuários';
$hesklang['users_intro']='Aqui você gerencia os usuários que podem fazer login no painel do administrador e responder tickets. Administradores podem visualizar/editar tickets em qualquer categoria e ter acesso a todas funções do painel do administrador (gerenciar usuários, gerenciar categorias etc) enquanto outros usuários poderão apenas visualizar e responder a tickets da sua categoria.';
$hesklang['yes']='SIM';
$hesklang['no']='NãO';
$hesklang['edit']='Editar';
$hesklang['add_user']='Adicionar novo usuário';
$hesklang['req_marked_with']='Campos obrigatórios estão marcados com';
$hesklang['real_name']='Nome real';
$hesklang['signature_max']='Assinatura (max 1000 caracteres)';
$hesklang['sign_extra']='Código HTML não é permitido. Links ainda serão clicáveis.';
$hesklang['create_user']='Criar usuário';
$hesklang['editing_user']='Editando usuário';
$hesklang['user_added']='Usuário adicionado';
$hesklang['user_added_success']='Novo Usuário %s com senha %s foi adicionado com sucesso';
$hesklang['profile_updated']='Perfil atualizado';
$hesklang['profile_updated_success']='Seu perfil foi atualizado com sucesso';
$hesklang['user_removed']='Usuário removido';
$hesklang['sel_user_removed']='Usuário selecionado foi removido com sucesso do banco de dados.';
$hesklang['profile_for']='Perfil para';
$hesklang['new_pass']='Nova senha';
$hesklang['update_profile']='Atualizar Perfil';
$hesklang['notify_new_posts']='Notifique me de novos tickets e postagens dentro da minha categoria';
$hesklang['view_profile']='Ver Perfil';
$hesklang['new_ticket_submitted']='Novo ticket de suporte enviado';
$hesklang['user_profile_updated_success']='Este perfil de usuário foi atualizado com sucesso';
$hesklang['printer_friendly']='Versão para imprimir';
$hesklang['end_ticket']='--- Fim do ticket ---';

// CUSTOMER INTERFACE
$hesklang['your_ticket_been']='Seu ticket foi';
$hesklang['view_your_ticket']='Visualizar seu ticket';
$hesklang['submit_ticket']='Enviar um ticket';
$hesklang['sub_ticket']='Enviar ticket';
$hesklang['before_submit']='Antes de enviar, por favor, certifique-se do seguinte:';
$hesklang['all_info_in']='Todas informações necessárias foram preenchidas corretamente';
$hesklang['all_error_free']='Todas informações estão corretas e livres de erros';
$hesklang['we_have']='Nós registraremos';
$hesklang['recorded_ip']='como seu IP.';
$hesklang['recorded_time']='o horário de envio.';
$hesklang['save_changes']='Salvar mudanças';
$hesklang['reply_submitted_success']='Sua resposta para esse ticket foi enviada com sucesso';
$hesklang['ticket_submitted']='Ticket enviado';
$hesklang['ticket_submitted_success']='Seu ticket foi enviado com sucesso! ID do Ticket';
$hesklang['your_ticket']='Seu ticket';

// Added in version 0.94
$hesklang['check_updates']='Certifique-se de que possui sempre a última versão do HESK instalada!';
$hesklang['check4updates']='Verificar atualizações';
$hesklang['wait_reply']='Aguardando resposta';
$hesklang['replied']='Respondido';
$hesklang['last_replier']='Último remetente';
$hesklang['staff']='Equipe';
$hesklang['customer']='Usuário';
$hesklang['close_selected']='Marcar tickets selecionados como resolvido';
$hesklang['execute']='Executar';
$hesklang['saved_replies']='Mensagem modelo';
$hesklang['manage_saved']='Mensagem modelo';
$hesklang['manage_intro']='Aqui você pode adicionar e gerenciar suas mensagens modelo. Estas são constantemente utilizadas para respostas padrões que são mais ou menos as mesmas  para todos clientes. Você poderá utilizá-las para evitar digitar várias vezes a mesma  mensagem a cada novo ticket ou resposta.';
$hesklang['saved_title']='Título (max 50 caracteres)';
$hesklang['no_saved']='Sem mensagens modelo';
$hesklang['delete_saved']='Tem certeza de deseja deletar esta mensagem modelo?';
$hesklang['new_saved']='Adicionar ou editar uma mensagem modelo';
$hesklang['canned_add']='Criar uma nova mensagem modelo';
$hesklang['canned_edit']='Editar mensagens modelo selecionadas';
$hesklang['save_reply']='Salvar resposta';
$hesklang['saved']='Resposta salva';
$hesklang['your_saved']='Sua mensagen modelo foi salva para um uso futuro';
$hesklang['ent_saved_title']='Por favor, digite o título da resposta';
$hesklang['ent_saved_msg']='Por favor, digite uma mensagem de resposta';
$hesklang['saved_removed']='Mensagem modelo removida';
$hesklang['saved_rem_full']='Mensagens modelo selecionadas foram removidas do banco de dados';
$hesklang['clip_alt']='Esta mensagem contém anexo';
$hesklang['attachments']='Anexos';
$hesklang['fill_all']='Campo não preenchido';
$hesklang['file_too_large']='Seu arquivo %s é muito grande';
$hesklang['cannot_move_tmp']='Não foi possível mover o arquivo para a pasta de anexos';
$hesklang['created_on']='Criado em';
$hesklang['tickets_closed']='Tickets fechados';
$hesklang['num_tickets_closed']='<b>%d</b> tickets have been closed';
$hesklang['select_saved']='Selecionar uma mensagem modelo';
$hesklang['select_empty']='Seleção / Vazia';
$hesklang['insert_special']='Inserir TAG especial (será substituída pelas informações do cliente)';
$hesklang['move_to_catgory']='Mover ticket para';
$hesklang['move']='Mover';
$hesklang['moved']='Ticket movido';
$hesklang['moved_to']='Este ticket foi movido para uma nova categoria';
$hesklang['url']='URL';
$hesklang['all_not_closed']='Todos não fechados';
$hesklang['chg_all']='Mudar todos';
$hesklang['settings']='Ajustes';
$hesklang['settings_intro']='Use esta ferramenta para configurar seu help desk. Para mais informações sobre todos ajustes e opções, clique no sinal de ajuda ou leia o arquivo readme.html.';
$hesklang['all_req']='Todos os campos (exceto os desabilitados) são necessários!';
$hesklang['wbst_title']='Título do Website';
$hesklang['wbst_url']='URL do website';
$hesklang['email_wm']='E-mail do webmaster';
$hesklang['max_listings']='Listas por página';
$hesklang['print_size']='Tamanho da fonte de impressão';
$hesklang['debug_mode']='Modo debug';
$hesklang['on']='Ligado';
$hesklang['off']='Desligado';
$hesklang['use_secimg']='Use imagem Anti-SPAM';
$hesklang['secimg_no']='Não disponível';
$hesklang['attach_use']='Use anexos';
$hesklang['attach_num']='Número por post';
$hesklang['attach_type']='Tipos de arquivos permitidos';
$hesklang['place_after']='Após mensagem';
$hesklang['place_before']='Antes da mensagem';
$hesklang['custom_f']='campo personalizavél';
$hesklang['custom_u']='Use este campo';
$hesklang['custom_n']='Nome do campo';
$hesklang['custom_l']='Tamanho máximo (caracteres)';
$hesklang['db_host']='Host da Banco de Dados';
$hesklang['db_name']='Nome do Banco de Dados';
$hesklang['db_user']='Nome de usuário do Banco de Dados';
$hesklang['db_pass']='Senha do Banco de Dados';
$hesklang['err_sname']='Por favor, digite o título do seu website';
$hesklang['err_surl']='Por favor, digite a URL do seu website.';
$hesklang['err_wmmail']='Por favor, digite um email de webmaster válido';
$hesklang['err_nomail']='Por favor, digite um email de não-resposta válido';
$hesklang['err_htitle']='Por favor, digite um título do seu Help Desk de suporte';
$hesklang['err_hurl']='Por favor, digite a URL da sua pasta de Help Desk. Certifique-se que é uma URL válida (Começa com http:// ou https://)';
$hesklang['err_lang']='Por favor, selecione um idioma para o HESK';
$hesklang['err_nolang']='O arquivo de linguagem especificado não existe na pasta de idiomas. Certifique-se de subir o arquivo apropriado antes de mudar as opções de idioma.';
$hesklang['err_max']='Por favor, digite a quantidade máxima de itens por página';
$hesklang['err_psize']='Por favor, digite o tamanho da fonte de impressão';
$hesklang['err_dbhost']='Por favor, digite o nome do Host do seu Banco de Dados MySQL';
$hesklang['err_dbname']='Por favor, digite o nome do seu Banco de Dados MySQL';
$hesklang['err_dbuser']='Por favor, digite o Nome de Usuário do seu Banco de Dados MySQL';
$hesklang['err_dbpass']='Por favor, digite a Senha do seu Banco de Dados MySQL';
$hesklang['err_dbconn']='Não foi possível conectar ao banco de dados MySQL usando informações fornecidas!';
$hesklang['err_dbsele']='Não foi possível conectar ao Banco de Dados MySQL, por favor, verifique o NOME do Banco de Dados';
$hesklang['err_custname']='Por favor, digite o nome do campo opcional selecionado';
$hesklang['err_openset']='Não foi possível abrir o arquivo <b>hesk_settings.inc.php</b> para gravação. Por favor, CHMOD este arquivo para 666 (rw-rw-rw-)';
$hesklang['set_saved']='Ajustes salvos';
$hesklang['set_were_saved']='Seus ajustes foram gravados com sucesso';
$hesklang['sec_img']='Imagem de segurança';
$hesklang['sec_miss']='Por favor, digite o número de segurança';
$hesklang['sec_wrng']='Número de segurança inválido';
$hesklang['submit_problems']='Por favor, volte e corrija os seguintes problemas';
$hesklang['cat_order']='Ordem de categoria';
$hesklang['reply_order']='Ordem de mensagem modelo';
$hesklang['move_up']='Mover para cima';
$hesklang['move_dn']='Mover para baixo';
$hesklang['cat_move_id']='ID de categoria faltando';
$hesklang['reply_move_id']='ID de mensagem modelo faltando';
$hesklang['forgot_tid']='Esqueceu ou quer receber todos os IDs de rastreamento dos chamados?';
$hesklang['tid_send']='Envie-me o ID rastreador';
$hesklang['tid_not_found']='Nenhum ticket com seu endereço do e-mail foi encontrado';
$hesklang['tid_sent']='ID rastreador enviado';
$hesklang['tid_sent2']='Um e-mail com os detalhes sobre seu ticket foi enviado para o seu endereço';
$hesklang['check_spambox']='Certifique-se de que o e-mail não esteja na sua caixa de SPAM ou Lixeira!';
$hesklang['reply_not_found']='Mensagem modelo não encontrada';
$hesklang['exists']='Existe';
$hesklang['no_exists']='Não existe';
$hesklang['writable']='Gravável';
$hesklang['not_writable']='Não gravável';
$hesklang['disabled']='desabilitado';
$hesklang['e_settings']='Você não poderá salvar seus ajustes ao menos que este arquivo seja gravável pelo script. Por favor, leia o  arquivo README para mais informações!';
$hesklang['e_attdir']='Você não poderá anexar arquivos ao menos que este exista e seja gravável pelo script. Por favor, leia o arquivo README para mais informações!';
$hesklang['e_save_settings']='Impossível gravar seus ajustes porque o arquivo <b>hesk_settings.inc.php</b> não está gravável pelo script.';
$hesklang['e_attach']='Desabilitado porque seu diretório de <b>anexos</b> não está gravável pelo script.';
$hesklang['go']='Ir';

// Added in version 2.0
$hesklang['v']='Versão do HESK';
$hesklang['check_status']='Verificando status';
$hesklang['sub_support']='Enviar um ticket';
$hesklang['open_ticket']='Enviar um novo chamado para o nosso departamento de suporte';
$hesklang['view_existing']='Visualizar ticket existente';
$hesklang['vet']='Visualizar chamados que você realizou anteriormente';
$hesklang['enter_user']='Por favor, digite seu nome de usuário';
$hesklang['remember_user']='Relembrar meu nome de usuário';
$hesklang['wrong_user']='Nome de usuário Inválido';
$hesklang['no_permission']='Você não tem permissão para executar esta tarefa, por favor, faça login com um usuário com este acesso.';
$hesklang['tickets_on_pages']='Número de tickets: %d Número de páginas: %d'; // First %d is replaced with number of tickets, second %d with number of pages
$hesklang['jump_page']='Ir para página:';
$hesklang['no_tickets_open']='Ticket sem solução não encontrado';
$hesklang['no_tickets_crit']='Ticket não encontrado com os critérios informados';
$hesklang['confirm_execute']='Tem certeza que deseja continuar?';
$hesklang['legend']='Legenda';
$hesklang['main_page']='Início';
$hesklang['menu_users']='Usuários';
$hesklang['menu_cat']='Categorias';
$hesklang['menu_profile']='Perfil';
$hesklang['menu_kb']='Base de conhecimento'; // Admin MENU item
$hesklang['kb_text']='Base de conhecimento'; // Item visible to customers
$hesklang['viewkb']='Visualizar conteúdo da base de conhecimento';
$hesklang['kb']='gerenciar base de conhecimento';
$hesklang['kb_intro']='Base de conhecimento é uma coleção de respostas para as questões mais frequentes (FAQ) e também de artigos que provém recursos de uma auto ajuda para os clientes. Uma base de conhecimento bem elaborada pode reduzir drasticamente o número de tickets de suporte recebidos e registrados no HESK, economizando muito tempo. Você pode organizar os artigos em categorias e sub categorias.'; // Description in ADMIN panel
$hesklang['kb_is']='Base de conhecimento é uma coleção de respostas para as questões mais frequentes (FAQ) e também de artigos que provém recursos de auto ajuda para os usuários. Você pode ler os artigos e também pesquisá-los.'; // Description for CUSTOMERS
$hesklang['new_kb_art']='Novo artigo da base de conhecimento';
$hesklang['kb_cat']='Categoria';
$hesklang['kb_subject']='Assunto';
$hesklang['kb_content']='Conteúdo';
$hesklang['kb_type']='Tipo';
$hesklang['kb_published']='Publicado';
$hesklang['kb_published2']='O artigo está visível para todos na base de conhecimento.';
$hesklang['kb_private']='Privado';
$hesklang['kb_private2']='Artigos privados só podem ser lidos pela equipe de suporte.';
$hesklang['kb_draft']='Rascunho';
$hesklang['kb_draft2']='O artigo está salvo, mas ainda não foi publicado. Ele só pode ser visto pela equipe de suporte<br /> que tem permissão para gerenciar os artigos da base de conhecimento.';
$hesklang['kb_links']='<i><span class="notice"><b>Atenção!</b></span><br />Digite um codigo válido sem tags &lt;head&gt; e &lt;body&gt; , apenas o conteúdo!</i>';
$hesklang['kb_ehtml']='Este é um código HTML (Eu vou digitar um código (x)HTML válido)';
$hesklang['kb_dhtml']='Este é um texto sem formatação (links ainda serão clicáveis)';
$hesklang['kb_save']='Salvar artigo';
$hesklang['kb_e_subj']='Digite o assunto do artigo!';
$hesklang['kb_e_cont']='Digite o conteúdo do artigo!';
$hesklang['kb_art_added']='Artigo adicionado';
$hesklang['your_kb_added']='Um novo artigo de base de conhecimento foi adicionado com sucesso';
$hesklang['kb_art_deleted']='Artigo apagado';
$hesklang['your_kb_deleted']='Artigo da base de conhecimento selecionado foi apagado com sucesso';
$hesklang['kb_art_mod']='Artigo modificado';
$hesklang['your_kb_mod']='Suas modificações do artigo selecionado foram salvas com sucesso';
$hesklang['kb_cat_new']='Nova sub categoria da base de conhecimento';
$hesklang['kb_cat_parent']='Categoria pai';
$hesklang['kb_cat_sub']='Subcategorias';
$hesklang['kb_cat_title']='Título da categoria';
$hesklang['kb_cat_published']='A categoria está viísivel para todos na base de conhecimento.';
$hesklang['kb_cat_private']='A categoria pode apenas ser vista pela equipe de suporte.';
$hesklang['kb_cat_add']='Adicionar categoria';
$hesklang['kb_cat_e_title']='Digitar título da categoria!';
$hesklang['kb_cat_added']='Categoria adicionada';
$hesklang['kb_cat_added2']='Uma nova categoria foi adicionada com sucesso a base de conhecimento';
$hesklang['kb_cat_man']='Gerenciar categorias da base de conhecimento';
$hesklang['kb_cat_edit']='Editar detalhes da categoria';
$hesklang['kb_cat_inv']='Categoria inválida';
$hesklang['kb_cat_art']='Artigos nesta categoria';
$hesklang['kb_p_art']='+ Artigo';
$hesklang['kb_p_art2']='adicionar um novo artigo a esta categoria.';
$hesklang['kb_add_art']='Adicionar artigo';
$hesklang['kb_p_cat']='+ Categoria';
$hesklang['kb_p_cat2']='criar uma nova sub categoria dentro da categoria selecionada.';
$hesklang['kb_add_cat']='Adicionar categoria';
$hesklang['kb_p_man']='Gerenciar';
$hesklang['kb_p_man2']='gerenciar categoria selecionada (editar, apagar, gerenciar artigos).';
$hesklang['kb_main']='A categoria principal da base de conhecimento não pode ser apagada ou movida.';
$hesklang['kb_no_art']='Não há artigos nesta categoria.';
$hesklang['author']='Autor';
$hesklang['views']='Visualizações';
$hesklang['delete']='Apagar';
$hesklang['rating']='Classificação';
$hesklang['votes']='Votos';
$hesklang['kb_rated']='Classificações de artigo %s/5.0';
$hesklang['kb_not_rated']='Artigo ainda não classificado';
$hesklang['del_art']='Você tem certeza de que deseja apagar o artigo selecionado?';
$hesklang['kb_art_id']='ID do artigo inválido ou perdido!';
$hesklang['kb_art_edit']='Editar artigo';
$hesklang['revhist']='Histórico de Revisão';
$hesklang['revision1']='<li class="smaller">%s | enviado por %s</li>'; // %s = date, user making change
$hesklang['revision2']='<li class="smaller">%s | modificado por %s</li>'; // %s = date, user making change
$hesklang['kb_order']='Ordem';
$hesklang['kb_delcat']='Tem certeza que deseja apagar esta categoria?';
$hesklang['kb_cat_mod']='Categoria modificada';
$hesklang['your_cat_mod']='Suas mudanças para a categoria selecionada foram salvas com sucesso';
$hesklang['kb_cat_del']='Categoria da base de conhecimento apagada';
$hesklang['kb_cat_dlt']='A categoria da base de conhecimento selecionada foi apagada.';
$hesklang['allowed_cat']='Categorias';
$hesklang['allow_feat']='Benefícios';
$hesklang['can_view_tickets']='Visualizar tickets';
$hesklang['can_reply_tickets']='Responder aos tickets';
$hesklang['can_assign_tickets']='Assinar tickets';
$hesklang['can_del_tickets']='Apagar tickets';
$hesklang['can_edit_tickets']='Editar respostas de ticket';
$hesklang['can_change_cat']='Mudar Categoria do ticket';
$hesklang['can_man_kb']='Gerenciar base de conhecimento';
$hesklang['can_man_users']='Gerenciar Usuários';
$hesklang['can_man_cat']='Gerenciar Categorias';
$hesklang['can_man_canned']='Gerenciar respostas modelo';
$hesklang['can_man_settings']='Gerenciar ajustes do Help Desk';
$hesklang['can_del_notes']='Apagar qualquer nota de ticket';
$hesklang['dan']='usuários podem apagar suas próprias notas dos tickets, selecione apenas se deseja permitir que usuários apaguem também, notas de outros usuários.';
$hesklang['in_all_cat']='apenas nas categorias permitidas';
$hesklang['admin_can']='(acesso a todos benefícios e categorias)';
$hesklang['staff_can']='(você pode limitar benefícios e categorias)';
$hesklang['asign_one_feat']='Por favor, atribua pelo menos um benefício a este usuário!';
$hesklang['na_view_tickets']='Você não está autorizado a visualizar estes tickets';
$hesklang['support_notice']='Sinto Muito, esta seção só poderá ser escondida quando você comprar uma licença do HESK!';
$hesklang['rart']='Este artigo ofereceu ajuda?';
$hesklang['r']='Esta resposta ofereceu ajuda?';
$hesklang['tyr']='Obrigado pela ajuda';
$hesklang['cw']='Fechar janela';
$hesklang['cw2']='Fechar janela e enviar ticket';
$hesklang['rh']='Classificado como <i>ofereceu ajuda</i>';
$hesklang['rnh']='Classificado como <i>não ofereceu ajuda</i>';
$hesklang['ar']='Já classificado';
$hesklang['rated']='Usuário classificou %s/5.0 (%s votes)';
$hesklang['not_rated']='Ainda não foi classificado';
$hesklang['rdis']='Clasificação foi desabilitada';
$hesklang['kbdis']='Base de conhecimento está desabilitada';
$hesklang['kbpart']='Sinto muito, mas você não tem permissão para acessar este artigo';
$hesklang['popart']='Artigos TOP da base de conhecimento:';
$hesklang['latart']='Últimos artigos publicados na base de conhecimento:';
$hesklang['m']='Mais tópicos';
$hesklang['ac']='Artigos nesta categoria:';
$hesklang['noa']='Ainda sem artigos';
$hesklang['noac']='Ainda sem artigos nesta categoria';
$hesklang['dta']='Data de publicação';
$hesklang['ad']='Detalhes do artigo';
$hesklang['aid']='ID do Artigo';
$hesklang['as']='Solução';
$hesklang['search']='Busca';
$hesklang['sr']='Resultados da busca';
$hesklang['nosr']='Nenhum artigo foi encontrado. Tente navegar na base de conhecimento ou nos envie um novo ticket de suporte.';
$hesklang['rv']='Resetar visualizações';
$hesklang['rr']='Resetar votos (classificações)';
$hesklang['opt']='Opções';
$hesklang['delcat']='Apagar categoria';
$hesklang['move1']='Mover artigo para categoria pai';
$hesklang['move2']='Apagar artigo nesta categoria';
$hesklang['sc']='Sugerimos os seguintes artigos';
$hesklang['not']='Tickets'; // Number of all tickets in category
$hesklang['graph']='Gráfico';
$hesklang['lu']='Listar Nome de usuários';
$hesklang['aclose']='Fechar tickets automaticamente';
$hesklang['aclose2']='dias depois da última resposta da equipe';
$hesklang['s_ucrt']='Reabrir tickets';
$hesklang['urate']='Responder classificações';
$hesklang['hesk_url']='URL do Help desk';
$hesklang['hesk_title']='Título do Help desk';
$hesklang['server_time']='Hora no servidor';
$hesklang['t_h']='horas';
$hesklang['cid']='Caso do ID rastreador';
$hesklang['t_m']='minutos';
$hesklang['day']='Horário de Verão';
$hesklang['tfor']='Formato da Hora';
$hesklang['prefix']='Prefixo da tabela';
$hesklang['s_ekb']='Habilitar base de conhecimento';
$hesklang['s_kbs']='Habilitar busca na BC';
$hesklang['s_kbr']='Habilitar classificação na BC';
$hesklang['s_maxsr']='Máximo de resultados na busca';
$hesklang['s_suggest']='Sugestão de artigos na BC';
$hesklang['s_spop']='Mostrar artigos populares';
$hesklang['s_slat']='Mostrar últimos artigos';
$hesklang['s_onin']='na página do <a href="../" target="_blank">índice do help desk</a>';
$hesklang['s_onkb']='na página do <a href="../knowledgebase.php" target="_blank">índice da base de conhecimento</a>';
$hesklang['s_scol']='Categorias na linha';
$hesklang['s_ptxt']='Tamanho do preview do artigo';
$hesklang['s_psubart']='Subcategoria de artigos';
$hesklang['enable']='Habilitado';
$hesklang['s_type']='Tipo';
$hesklang['custom_r']='Requerido';
$hesklang['custom_place']='Localização';
$hesklang['custom_use']='Campos do usuário';
$hesklang['stf']='Text field';
$hesklang['stb']='Text área';
$hesklang['srb']='Radio button';
$hesklang['ssb']='Select box';
$hesklang['db']='Banco de dados';
$hesklang['hd']='Ajustes do Help desk';
$hesklang['gs']='Ajustes Gerais';
$hesklang['cwin']='Fechar janela';
$hesklang['defw']='Valor padrão';
$hesklang['ok']='OK';
$hesklang['ns']='Estas são as opções disponíveis para estes campos do usuário. Para salvar as alterações clique em <b>OK</b> e no botão <b>Salvar mudanças</b> na página de ajustes do administrador!';
$hesklang['rows']='Linhas (altura)';
$hesklang['cols']='Colunas (largura)';
$hesklang['opt2']='Opções para este radio button, entre com uma opção por linha (cada linha criará um novo valor de radio button para escolher). Você precisa digitar ao menos duas opções!';
$hesklang['opt3']='Opções para esta select box, digite uma opção por linha (cada linha será uma opção delecionável pelo cliente). Você precisa digitar ao menos duas opções!';
$hesklang['atl2']='Você precisa digitar ao menos duas opções! (uma por linha)!';
$hesklang['notes']='Notas';
$hesklang['addnote']='+ Adicionar nota';
$hesklang['noteby']='Nota de';
$hesklang['delnote']='Apagar nota';
$hesklang['noteerr']='Nota já apagada ou parâmetros errados';
$hesklang['s']='Enviar';
$hesklang['nhid']='Notas não são mostradas aos clientes!';
$hesklang['delt']='Deletar esta postagem';
$hesklang['edtt']='Editar postagem';
$hesklang['edt1']='Postagem modificada';
$hesklang['edt2']='Mudanças a postagem selecionada foram salvas';
$hesklang['dele']='Apagar este ticket';
$hesklang['repd']='Postagem Apagada';
$hesklang['repl']='Postagem selecionada foi apagada';
$hesklang['tickets_found']='Resultados da busca';
$hesklang['al']='Link de administrador';
$hesklang['ap']='Ir para o painel de administrador';
$hesklang['dap']='Exibir um link para o painel de administrador de<a href="../" target="_blank">índice do Help Desk</a>';
$hesklang['q_miss']='Por favor, responda a pergunta Anti-SPAM';
$hesklang['use_q']='Usar pergunta anti-SPAM';
$hesklang['q_q']='-&gt; Pergunta (Código HTML é <font class="success">permitido</font>)';
$hesklang['q_a']='-&gt; Resposta';
$hesklang['err_qask']='Digite uma pergunta anti-SPAM';
$hesklang['err_qans']='Digite uma resposta a pergunta anti-SPAM';
$hesklang['genq']='Gerar pergunta aleatória';

// Added in version 2.1
$hesklang['amo']='Adicionar mais';
$hesklang['delatt']='Apagar anexos selecionados?';
$hesklang['kb_att_rem']='Anexos selecionados foram apagados';
$hesklang['inv_att_id']='ID de anexo inválido!';
$hesklang['scb']='Checkbox';
$hesklang['opt4']='Opções para este checkbox, digite uma opção por linha. Cada linha será uma escolha diferente feita pelo seu cliente que poderá fazer múltiplas seleções. Você precisa digitar ao menos duas opções!';
$hesklang['autologin']='Permanecer conectado a cada visita';
$hesklang['just_user']='Apenas lembrar meu nome de usuário';
$hesklang['nothx']='Não, obrigado';
$hesklang['pinfo']='Informação do perfil';
$hesklang['sig']='Assinatura';
$hesklang['pref']='Preferências';
$hesklang['aftrep']='Depois de responder um ticket';
$hesklang['showtic']='Mostrar o ticket que acabei de enviar';
$hesklang['gomain']='Retornar a página principal do administrador';
$hesklang['shownext']='Abrir próximo ticket que precisa de resposta (se nenhum, ir para página principal do administrador)';
$hesklang['rssn']='Mostrar próximo ticket que precisa de sua atenção';
$hesklang['mrep']='Substituir mensagem atual';
$hesklang['madd']='Adicionar ao fim';
$hesklang['priv']='Categorias privadas e artigos visualizáveis a equipe são marcados com um *';
$hesklang['inve']='arquivo de e-mail inválido';
$hesklang['emfm']='Missing email file';
$hesklang['hesk_lang']='Idioma padrão';
$hesklang['s_mlang']='Múltiplos idiomas';
$hesklang['s_mlange']='Se habilitado, seus usuários poderão acessar o help desk em qualquer idioma instalado. Habilite apenas se você tem suporte em diversos idiomas!';
$hesklang['s_inl']='Testar pasta de idiomas';
$hesklang['s_inle']='Testando a pasta do idioma para os idiomas válidos. Somente os idiomas que passam todos os testes estão instalados corretamente.';
$hesklang['beta']='(versão de teste)';
$hesklang['maxpost']='Você provavelmente tentou enviar mais dados do que este servidor aceita <br /> <br /> Por favor, tente enviar novamente o formulário com anexos menores ou não.';
$hesklang['ta']='Procurando novamente';
$hesklang['alo']='Permitir entrada automática';
$hesklang['chol']='Idioma preferido';
$hesklang['mmdl']='Fazer este meu idioma preferido';
$hesklang['warn']='ATENÇÃO';
$hesklang['dmod']='Modo debug está habilitado. Certifique-se de desligar o modo debug assim que o HESK estiver instalado e funcionando adequadamente.';
$hesklang['kb_spar']='Categoria não pode ser sua própria categoria pai!';
$hesklang['mysql_root']='Sua senha do MySQL está vazia, tem certeza de que deseja entrar com o usuário root? Este é um risco significante!';
$hesklang['chg']='Mudar';
$hesklang['chpri']='Prioridade mudada';
$hesklang['chpri2']='Prioridade do ticket foi mudada para %s';
$hesklang['selcan']='Selecione a mensagem modelo que deseja editar';
$hesklang['q_wrng']='Resposta anti-SPAM digitada está errada';
$hesklang['cndupl']='Você já tem uma categoria com este nome. Selecione um nome único para cada categoria.';
$hesklang['wsel']='Selecione o campo que deseja procurar';

// Added in version 2.2
$hesklang['eto']='Requisição inválida';
$hesklang['id']='ID';
$hesklang['geco']='Gerar Link Direto';
$hesklang['genl']='Link Direto da Categoria';
$hesklang['genl2']='Use este link para presselecionar a categoria no formulário de &quot;Envio de Ticket&quot.';
$hesklang['ask']='Busca:';
$hesklang['exa']='Exemplos';
$hesklang['small']='Caixa pequena';
$hesklang['large']='Caixa larga';
$hesklang['cpri']='Prioridade do Cliente';
$hesklang['owner']='Atendente';
$hesklang['unas']='Não Associado';
$hesklang['assi']='Atribuir';
$hesklang['asst']='Atribuir a';
$hesklang['asst2']='Atribuído ticket a';
$hesklang['asss']='Atribuir a mim';
$hesklang['asss2']='Atribuir este ticket a mim';
$hesklang['can_assign_self']='Pode atribuir tickets a si mesmo';
$hesklang['can_assign_others']='Pode atribuir tickets a outros';
$hesklang['can_run_reports']='pode executar relatórios (próprio)';
$hesklang['can_view_ass_others']='Pode ver tickets atribuídos a outros';
$hesklang['unoa']='O usuário selecionado não tem acesso a esta categoria';
$hesklang['tasi']='Atendente Atribuído';
$hesklang['tasy']='Esse ticket foi atribuído a você';
$hesklang['taso']='Esse ticket foi atribuído ao usuário selecionado';
$hesklang['tasy2']='Atribuído a você';
$hesklang['taso2']='Atribuído a outro da equipe';
$hesklang['nose']='Nenhum atendente selecionado';
$hesklang['onasc']='Este atendente não tem acesso a categoria selecionada.';
$hesklang['tunasi']='Ticket Não Atribuído';
$hesklang['tunasi2']='Ticket está sem atendente e pronto para ser atribuído novamente';
$hesklang['note']='Nota';
$hesklang['success']='Sucesso';
$hesklang['nyt']='O ticket está atribuído a';
$hesklang['noch']='Nenhum mudança foi feita';
$hesklang['orch']='A ordem da listagem foi modificada';
$hesklang['rfm']='Informação requerida faltando:';
$hesklang['repl0']='Permissão insuficiente para realizar esta tarefa';
$hesklang['repl1']='Esta postagem não existe';
$hesklang['reports']='Relatórios';
$hesklang['reports_intro']='A seção de relatórios permite executar relatórios e ver estatísticas dos tickets para um determinado período.';
$hesklang['refi']='Resetar os dados do formulário';
$hesklang['dich']='Descartar Mudanças';
$hesklang['dire']='Mostrar Relatório';
$hesklang['m1']='Janeiro';
$hesklang['m2']='Fevereiro';
$hesklang['m3']='Março';
$hesklang['m4']='Abril';
$hesklang['m5']='Maio';
$hesklang['m6']='Junho';
$hesklang['m7']='Julho';
$hesklang['m8']='Agosto';
$hesklang['m9']='Setembro';
$hesklang['m10']='Outubro';
$hesklang['m11']='Novembro';
$hesklang['m12']='Dezembro';
$hesklang['d1']='Segunda';
$hesklang['d2']='Terça';
$hesklang['d3']='Quarta';
$hesklang['d4']='Quinta';
$hesklang['d5']='Sexta';
$hesklang['d6']='Sábado';
$hesklang['d0']='Domingo';
$hesklang['mo']='Se';
$hesklang['tu']='Te';
$hesklang['we']='Qa';
$hesklang['th']='Qi';
$hesklang['fr']='Se';
$hesklang['sa']='Sa';
$hesklang['su']='Do';
$hesklang['from']='De';
$hesklang['cinv']='Data Inválida';
$hesklang['cinv2']='Formato aceito de data é dd-mm-yyyy';
$hesklang['cinm']='Valor inválido para o mês';
$hesklang['cinm2']='Intervalo permitido é';
$hesklang['cind']='Valor de dia do mês inválido';
$hesklang['cind2']='Intervalo permitido para o mês selecionado é';
$hesklang['month']='Mês';
$hesklang['ocal']='Abrir Calendário';
$hesklang['ca01']='Ano Anterior';
$hesklang['ca02']='Mes Anterior';
$hesklang['ca03']='Próximo Mês';
$hesklang['ca04']='Próximo Ano';
$hesklang['ca05']='Fechar Calendário';
$hesklang['cdr']='Escolha o intervalo de data:';
$hesklang['crt']='Escolha o tipo de relatório:';
$hesklang['r1']='Hoje';
$hesklang['r2']='Ontem';
$hesklang['r3']='Este mês';
$hesklang['r4']='Último mês';
$hesklang['r5']='Últimos 30 dias';
$hesklang['r6']='Esta semana (Seg-Dom)';
$hesklang['r7']='Última semana (Seg-Dom)';
$hesklang['r8']='Esta semana de trabalho (Seg-Sex)';
$hesklang['r9']='Última semana de trabalho (Seg-Sex)';
$hesklang['r10']='Este ano';
$hesklang['r11']='Último ano';
$hesklang['r12']='Todo período';
$hesklang['datetofrom']='&quot;Data De&quot; não pode ser maior que &quot;Data para&quot;. As data foram trocadas.';
$hesklang['t1']='Tickets por dia';
$hesklang['t2']='Tickets por mês';
$hesklang['t3']='Tickets por usuário';
$hesklang['t4']='Tickets por categoria';
$hesklang['ticass']='Tickets Atribuídos';
$hesklang['ticall']='Tickets Respondidos';
$hesklang['totals']='Totais';
$hesklang['all']='Todos';
$hesklang['atik']='Novos tickets';
$hesklang['kbca']='Você já tem uma categoria da base de conhecimento com este nome.';
$hesklang['menu_msg']='Mail';
$hesklang['menu_can']='Modelo';
$hesklang['m_from']='De:'; // Mail "from" address
$hesklang['m_to']='Para:'; // Mail "to" address
$hesklang['m_sub']='Assunto:'; // Mail subject
$hesklang['m_re']='Re:'; // Mail reply subject prefix, like "Re: Original subject"
$hesklang['m_fwd']='Fwd:'; // Mail forward subject prefix, like "Fwd: Original subject"
$hesklang['m_h']='Mensagens privadas';
$hesklang['m_intro']='Utilize mensagens privadas para se comunicar com outros membro da equipe.';
$hesklang['e_udel']='(Usuário deletado)';
$hesklang['new_mail']='Nova mensagem privada';
$hesklang['m_send']='Enviar mensagem';
$hesklang['m_rec']='Selecione o destinatário da mensagem';
$hesklang['m_inr']='Destinatário da mensagem inválido';
$hesklang['m_esu']='Entre com o assunto da mensagem privada';
$hesklang['m_pms']='Sua mensagem privada foi enviada';
$hesklang['inbox']='INBOX';
$hesklang['outbox']='OUTBOX';
$hesklang['m_new']='NOVA MENSAGEM';
$hesklang['pg']='Mostrar Página';
$hesklang['npm']='Sem mensagens privadas nesta pasta.';
$hesklang['m_ena']='Você não tem permissão para ler esta mensagem.';
$hesklang['mau']='Marcar como não lida';
$hesklang['mo1']='Marcar mensagens selecionadas como lidas';
$hesklang['mo2']='Marcar mensagens selecionadas como não lidas';
$hesklang['mo3']='Deletar mensagens selecionadas';
$hesklang['delm']='Deletar estar mensagem';
$hesklang['e_tid']='Erro ao gerar um ticked ID único, por favor, tente enviar o formulário novamente mais tarde.';
$hesklang['smmr']='A mensagem selecionada foi marcado como lida';
$hesklang['smmu']='A mensagem selecionada foi marcado como não lida';
$hesklang['smdl']='As mensagens selecionadas foram deletadas';
$hesklang['show']='Mostrar';
$hesklang['s_my']='Atribuídos a mim';
$hesklang['s_ot']='Atribuídos a outros';
$hesklang['s_un']='Tickets não atribuídos';
$hesklang['s_for']='Pesquisar por';
$hesklang['s_in']='Pesquisar em';
$hesklang['s_incl']='Pesquisar incluindo';
$hesklang['find_ticket_by']='Achar um ticket';
$hesklang['e_nose']='Sem status de atribuição selecionado, mostrando todos os tickets.';
$hesklang['fsq']='Entre com a sua consulta';
$hesklang['topen']='Aberto';
$hesklang['nms']='Nenhuma mensagem selecionada, nada foi mudado';
$hesklang['tlo']='Trancar ticket';
$hesklang['tul']='Destrancar ticket';
$hesklang['loc']='Trancado';
$hesklang['isloc']='Os clientes não podem responder ou reabrir um ticket trancado. Quando o ticket é trancado, também é marcado como resolvido.';
$hesklang['tlock']='Ticket foi trancado';
$hesklang['tunlock']='Ticket foi destrancado';
$hesklang['tislock']='Esse ticket foi trancado, o cliente não terá como postar uma resposta.';
$hesklang['tislock2']='Esse ticket foi trancado, você não pode postar uma resposta.';
$hesklang['nsfo']='Nenhum artigo relevante foi encontrado.';
$hesklang['thist1']='<li class="smaller"> %s | movido para a categoria %s por %s </li>'; // %s = date, new category, user making change
$hesklang['thist2']='<li class="smaller"> %s | atribuída a %s por %s </li>'; // %s = date, assigned user, user making change
$hesklang['thist3']='<li class="smaller"> %s | fechado por %s </li>'; // %s = date, user making change
$hesklang['thist4']='<li class="smaller"> %s | aberto por %s </li>'; // %s = date, user making change
$hesklang['thist5']='<li class="smaller"> %s | bloqueado por %s </li>'; // %s = date, user making change
$hesklang['thist6']='<li class="smaller"> %s | desbloqueado por %s </li>'; // %s = date, user making change
$hesklang['thist7']='<li class="smaller"> %s | ticket criado por %s </li>'; // %s = date, user making change
$hesklang['elocked']='Esse ticket foi trancado ou deletado.';
$hesklang['nti']='+ Novo ticket';
$hesklang['nti2']='Insira um novo ticket';
$hesklang['nti3']='Use este formulário para criar um novo ticket em nome do cliente. Entre a informação do <i>cliente</i> no formulário e não os seus dados! O ticket será criado como se fosse o cliente que tivesse enviado o mesmo.';
$hesklang['addop']='Opções';
$hesklang['seno']='Enviar notificação por e-mail para o cliente';
$hesklang['otas']='Mostrar o ticket após o envio';
$hesklang['notn']='Notificações';
$hesklang['nomw']='O help desk irá mandar um e-mail de notificação quando:';
$hesklang['nwts']='Um novo ticket é enviado com atendente:';
$hesklang['ncrt']='Cliente responde ao ticket com atendente:';
$hesklang['ntam']='Um ticket foi atribuído a mim';
$hesklang['npms']='Uma mensagem privada foi enviada para mim';
$hesklang['support_remove']='Muito esforço, tempo e dinheiro foram gastos no desenvolvimento do HESK. Ajude o HESK, compre uma licença, ela removerá o link <i>Powered by Help desk software Hesk</i> do seu Help Desk';
$hesklang['ycvtao']='Você não tem permissão para ver tickets atribuídos a outros';
$hesklang['password_not_valid']='Password deve ter pelo menos 5 caracteres';
$hesklang['lkbs']='Carregando sugestões da base de conhecimento...';
$hesklang['auto']='(automaticamente)';

// Added in version 2.3
$hesklang['unknown']='Unknown';
$hesklang['pcer']='Por favor corrija os seguintes erros:';
$hesklang['seqid']='Número do ticket';
$hesklang['close_action']='Marcar como resolvido'; // Close ACTION
$hesklang['archived']='Arquivado';
$hesklang['archived2']='Ticket arquivado';
$hesklang['add_archive']='Arquivar este ticket';
$hesklang['add_archive_quick']='Arquivar tickets selecionados';
$hesklang['remove_archive']='Desarquivar este ticket';
$hesklang['remove_archive_quick']='Desarquivar tickets selecionados';
$hesklang['added_archive']='Adicionar ao arquivo';
$hesklang['removed_archive']='Remover do arquivo';
$hesklang['added2archive']='Ticket foi arquivado';
$hesklang['removedfromarchive']='Ticket foi desarquivado';
$hesklang['num_tickets_tag']='<b>%d</b> tickets foram arquivados';
$hesklang['num_tickets_untag']='<b>%d</b> tickets foram desarquivados';
$hesklang['can_add_archive']='Pode arquivar tickets';
$hesklang['disp_only_archived']='Somente tickets arquivados';
$hesklang['search_only_archived']='Somente tickets arquivados';
$hesklang['critical']=' * Crítico * ';
$hesklang['thist8']='<li class="smaller"> %s | prioridade alterada para %s por %s </li>'; // %s = date,new priority, user making change
$hesklang['thist9']='<li class="smaller"> %s | status alterado para %s por %s </li>'; // %s = date, new status, user making change
$hesklang['thist10']='<li class="smaller"> %s | atribuída automaticamente para %s </li>'; // %s = date, user making change
$hesklang['thist11']='<li class="smaller"> %s | apresentado pela tubulação e-mail </li>'; // %s = date, user making change
// START abbreviatons used in "last updated" column
$hesklang['abbr']['year']='a&ntilde;o';
$hesklang['abbr']['month']='mes';
$hesklang['abbr']['week']='sem';
$hesklang['abbr']['day']='d';
$hesklang['abbr']['hour']='h';
$hesklang['abbr']['minute']='m';
$hesklang['abbr']['second']='s';
// END abberviations
$hesklang['cnsm']='Não foi possível enviar a mensagem para:';
$hesklang['yhbb']='Você foi bloqueado pelo sistema por %s minutos por causa de vários erros de login.';
$hesklang['pwdst']='Força da senha';
$hesklang['tid_mail']='Não se preocupe! Entre com seu <b>endereço de email</b> que lhe enviaremos seu ID de rastreamento de imediato:';
$hesklang['rem_email']='Lembrar-me do endereço de email';
$hesklang['eytid']='Entre com seu ID de rastreamento.';
$hesklang['enmdb']='O endereço de email inserido não corresponde com o existente no banco de dados para este ID de ticket.';
$hesklang['confemail']='Confirmar email';
$hesklang['confemail2']='Por favor confirme seu endereço de email';
$hesklang['confemaile']='Os dois endereços de email não são idênticos';
$hesklang['taso3']='Atribuido a:';
$hesklang['sec_enter']='Digite o número que você vê na imagem abaixo.';
$hesklang['reload']='Atualizar imagem';
$hesklang['verify_q']='Prevenção SPAM:'; // For anti-spam question
$hesklang['verify_i']='Prevenção SPAM:'; // For anti-spam image (captcha)
$hesklang['admin_login']='Login da equipe';
$hesklang['vrfy']='Teste aprovado';
$hesklang['last_update']='Atualizado';
$hesklang['cot']='Não forçar tickets críticos no topo';
$hesklang['def']='Fazer esta exibição a minha padrão';
$hesklang['gbou']='Estes tickets são <b>Não atribuidos</b>:';
$hesklang['gbom']='Tickets atribuidos para <b>mim</b>:';
$hesklang['gboo']='Tickets atribuidos para <b>%s</b>:';
$hesklang['select']=' - - Click para selecionar - - ';
$hesklang['chngstatus']='Alterar estado para';
$hesklang['perat']='%s de todos os tickets'; // Will change to "23% of all tickets"
$hesklang['viewart']='Ver este artigo';
$hesklang['chdp']='Por favor altere a senha padrão no seu perfil <a href="profile.php">Perfil</a> página!';
$hesklang['chdp2']='Altere sua senha você está usando a padrão!';
$hesklang['security']='Segurança';
$hesklang['kb_i_art']='Novo artigo';
$hesklang['kb_i_art2']='Inserir um artigo';
$hesklang['kb_i_cat']='Nova categoria';
$hesklang['kb_i_cat2']='Inserir categoria';
$hesklang['gopr']='Ver base de conhecimento';
$hesklang['kbstruct']='Estrutura da base de conhecimento';
$hesklang['cancel']='Cancelar';
$hesklang['sh']='Esconder mensagem';
$hesklang['goodkb']='Como escrever bons artigos na base de conhecimento?';
$hesklang['catset']='Configurações da categoria';
$hesklang['inpr']='Selecionar nova prioridade';
$hesklang['incat']='Selecionar nova prioridade';
$hesklang['instat']='Selecionar novo estado';
$hesklang['tsst']='Estado do ticket alteradoo para %s';
$hesklang['aass']='Auto-atribuição';
$hesklang['aaon']='Auto-atribuição de tickets habilitado (clique para desabilitar)';
$hesklang['aaoff']='Auto-atribuição de tickets desabilitado (clique para habilitar)';
$hesklang['uaaon']='Auto-atribuição foi habilitado para usuário selecionado';
$hesklang['uaaoff']='Auto-atribuição foi desabilitado para usuário selecionado';
$hesklang['taasy']='Este ticket foi auto-atribuido a você';
$hesklang['can_view_unassigned']='Pode ver tickets não atribuidos';
$hesklang['ycovtay']='Você pode ver apenas tickets atribuidos a você';
$hesklang['in_progress']='Em progresso';
$hesklang['on_hold']='Em espera';
$hesklang['import_kb']='Importar este ticket em um artigo na base de conhecimento';
$hesklang['import']='Você está importando um <i>ticket privado</i> em um <i>artigo público</i>.<br /><br />Certifique-se de apagar todas as informações privadas ou sensíveis do título e mensagem do artigo!';
$hesklang['tab_1']='Geral';
$hesklang['tab_2']='Help Desk';
$hesklang['tab_3']='Base de conhecimento';
$hesklang['tab_4']='Campos personalizados';
$hesklang['tab_5']='Misc';
$hesklang['disable']='Desativar';
$hesklang['dat']='Data &amp; Tempo';
$hesklang['lgs']='Linguagem';
$hesklang['onc']='ON - Usuários';
$hesklang['ons']='ON - Todos';
$hesklang['viewvtic']='Ver tickets';
$hesklang['reqetv']='Obrigatório email para ver o ticket';
$hesklang['banlim']='Limite de tentativa de login';
$hesklang['banmin']='Tempo banido (minutos)';
$hesklang['subnot']='Enviar notícia';
$hesklang['subnot2']='Mostrar notícia aos usuários que enviam tickets';
$hesklang['eseqid']='Sequencia de IDs';
$hesklang['sconfe']='Confirmar email';
$hesklang['saass']='Auto-atribuir tickets';
$hesklang['swyse']='Editor WYSIWYG';
$hesklang['hrts']='Avaliação HESK';
$hesklang['hrts2']='Mostrar link do script de avaliação no painel de administração';
$hesklang['emlpipe']='Email piping';
$hesklang['emlsend']='Enviando email';
$hesklang['emlsend2']='Enviar emails usando';
$hesklang['phpmail']='PHP mail()';
$hesklang['smtp']='SMTP Server';
$hesklang['smtph']='SMTP Host';
$hesklang['smtpp']='SMTP Port';
$hesklang['smtpu']='SMTP Username';
$hesklang['smtpw']='SMTP Password';
$hesklang['smtpt']='SMTP Timeout';
$hesklang['other']='Outro';
$hesklang['features']='Características';
$hesklang['can_view_online']='Pode ver membros da equipe online';
$hesklang['online']='Online';
$hesklang['offline']='Offline';
$hesklang['onlinep']='Usuários Online'; // For display in footer
$hesklang['sonline']='Usuários Online'; // For settings page
$hesklang['sonline2']='Mostrar usuários online. Limite (minutos):'; // For settings page
$hesklang['gb']='Por grupo';
$hesklang['dg']='Sem grupo';
$hesklang['err_dpi']='Banco de dados %s não contém todas as tabelas HESK com prefixo %s, alterações não salvas.';
$hesklang['err_dpi2']='Tabelas não encontradas:';
$hesklang['sme']='Erro no SMTP';
$hesklang['scl']='Log de conexão SMTP';
$hesklang['dnl']='Download';
$hesklang['dela']='Deletar este anexo';
$hesklang['pda']='Você quer excluir permanentemente este anexo?';
$hesklang['thist12']='<li class="smaller"> %s | anexo %s removido por %s </li>'; // %s = date, deleted attachment, user making change
$hesklang['mopt']='Mais opções';
$hesklang['lopt']='Menos opções';
$hesklang['meml']='Multiplos emails';
$hesklang['meml2']='Permitir que usuários entrem em contato com vários emails.';

// Added in version 2.4
$hesklang['catd']='(categoria eliminada)';
$hesklang['noopen']='Não foram encontrados tickets abertos para esse endereço de email.';
$hesklang['maxopen']='Você chegou ao máximo de tickets abertos (%d de %d). Por favor, espere até que seus tickets atuais estejam resolvidos antes da abertura de novos tickets.';
$hesklang['ntnote']='Alguém postou uma nota a um ticket atribuído para mim';
$hesklang['cat_public']='Esta categoria é PÚBLICA (clique para convertê-la em privada)';
$hesklang['cat_private']='Esta categoria é PRIVADA (clique para convertê-la em pública)';
$hesklang['cat_aa']='Auto-atribuir tickets desta categoria.';
$hesklang['cat_type']='Fazer essa categoria privada (somente se pode selecionar pela equipe).';
$hesklang['caaon']='Foi habilitado Auto-atribuir para a categoria selecionada';
$hesklang['caaoff']='Foi desabilitado Auto-atribuir para a categoria selecionada';
$hesklang['cpub']='Tipo de categoria trocado para PÚBLICO';
$hesklang['cpriv']='Tipo de categoria trocado para PRIVADO';
$hesklang['cpric']='Os usuários não podem selecionar as categorias privadas, somente equipe pode!';
$hesklang['user_aa']='Auto-atribuir tickets para este usuario.';
$hesklang['attach_size']='Tamanho máximo do arquivo';
$hesklang['B']='B';
$hesklang['kB']='KB';
$hesklang['MB']='MB';
$hesklang['GB']='GB';
$hesklang['bytes']='bytes';
$hesklang['kilobytes']='kilobytes';
$hesklang['megabytes']='megabytes';
$hesklang['gigabytes']='gigabytes';
$hesklang['smtpssl']='Protocolo SSL';
$hesklang['smtptls']='Protocolo TLS';
$hesklang['oo']='Somente Abertos';
$hesklang['ool']='Listar somente os tickets abertos em &quot;Esquecí ID de ticket&quot; por email';
$hesklang['mop']='Tickets máximos abertos';
$hesklang['rord']='Ordenar Respondidos';
$hesklang['newbot']='Os mais novos por último';
$hesklang['newtop']='Os mais novos por início';
$hesklang['ford']='Formulário de resposta';
$hesklang['formbot']='Mostrar formulário por último';
$hesklang['formtop']='Mostrar formulário por início';
$hesklang['mysqlv']='Versão MySQL';
$hesklang['phpv']='Versão PHP';
$hesklang['csrt']='Hora atual do Centro de Ajuda:';
$hesklang['listp']='Listar artigos privados';
$hesklang['listd']='Listar os artigos apagados';
$hesklang['artp']='Artigos privados';
$hesklang['artd']='Artigos apagados';
$hesklang['kb_no_part']='Não há artigos privados na base de conhecimento.';
$hesklang['kb_no_dart']='Não há artigos apagados na base de conhecimento.';
$hesklang['attpri']='Você não tem acesso a este arquivo anexo.';
$hesklang['can_merge_tickets']='Combinar tickets';
$hesklang['mer_selected']='Combinar tickets selecionados';
$hesklang['merged']='Os tickets selecionados foram combinados em um único.';
$hesklang['merge_err']='Teve um problema ao combinar os tickets:';
$hesklang['merr1']='Selecione ao menos 2 tickets.';
$hesklang['merr2']='Ticket de destino não encontrado.';
$hesklang['merr3']='Ticket em uma categoria que não tem acesso.';
$hesklang['tme']='Ticket %s foi combinado com este ticket (%s).';
$hesklang['tme1']='Ticket %s foi combinado com o ticket %s';
$hesklang['tme2']='Para acessar o ticket %s insira o endereço de email associado.';
$hesklang['eyou']='Utilize a página do perfil para editar a configuração.';
$hesklang['npea']='Você não tem permissão para editar este usuário.';
$hesklang['duplicate_user']='Este nome de usuário já existe, escolha um nome de usuário diferente.';
$hesklang['kw']='Senhas';
$hesklang['kw1']='(opcional - separado por um espaço, uma vírgula ou uma nova linha)';
$hesklang['type_not_allowed']='Os arquivos que tem a extesão <b>%s</b> não são aceitos (%s)'; // %s changed to extension and file name: files ending with .exe are not accepted (test.exe)
$hesklang['unread']='O cliente não leu esta resposta ainda.';
$hesklang['sticky']='Fazer deste artigo &quot;Permanente&quot;';
$hesklang['stickyon']='Mudar este artigo para &quot;Permanente&quot;';
$hesklang['stickyoff']='Mudar este artigo para &quot;Normal&quot;';
$hesklang['ason']='Artigo marcado como &quot;Permanente&quot;';
$hesklang['asoff']='Artigo marcado como &quot;Normal&quot;';
$hesklang['ts']='Tempo Dedicado';
$hesklang['start']='Iniciar / Parar';
$hesklang['reset']='Reestabelecer';
$hesklang['save']='Guardar';
$hesklang['hh']='Horas';
$hesklang['mm']='Minutos';
$hesklang['ss']='Segundos';
$hesklang['thist']='Histórico do Ticket';
$hesklang['thist13']='<li class="smaller"> %s | fundiu com ticket %s por %s </li>'; // %s = date, merged ticket ID, user making change
$hesklang['thist14']='<li class="smaller"> %s | tempo de trabalho atualizada para %s por %s </li>'; // %s = date, new time worked, user making change
$hesklang['thist15']='<li class="smaller"> %s | apresentado por %s </li>'; // %s = date, user making change
$hesklang['thist16']='<li class="smaller"> %s | apresentado pelo POP3 buscar </li>';
$hesklang['twu']='Tempo dedicado no ticket foi atualizado.';
$hesklang['autoss']='Início automático do temporizador ao abrir um ticket';
$hesklang['ful']='Limite de anexo de arquivos';
$hesklang['ufl']='Pode anexar arquivos que terminam em:';
$hesklang['nat']='Número máximo de arquivos anexos:';
$hesklang['mfs']='Tamanho máximo do arquivo anexo:';
$hesklang['lps']='Sua preferência de idioma foi salvo';
$hesklang['sav']='Mostrar exibições do artigo';
$hesklang['sad']='Mostrar a data do artigo';
$hesklang['emp']='O PHP não tem suporte MySQL enabled (extensão mysqli obrigatório)';
$hesklang['epd']='[HESK] EMAIL PIPING ESTA DESABILITADO NOS AJUSTES';
$hesklang['pfd']='[HESK] POP3 FETCHING ESTA DESHABILITADO NOS AJUSTES';
$hesklang['pem']='[Piped email]'; // Default subject of piped tickets without subject
$hesklang['pde']='[Cliente]'; // Default customer name for piped tickets without name
$hesklang['tab_6']='Email';
$hesklang['pop3']='POP3 Fetching';
$hesklang['pop3h']='POP3 Host';
$hesklang['pop3p']='POP3 Porta';
$hesklang['pop3tls']='Protocolo TLS';
$hesklang['pop3u']='POP3 Nome de usuário';
$hesklang['pop3w']='POP3 Senha';
$hesklang['pop3e']='POP3 error';
$hesklang['pop3log']='POP3 Conexão de registro';
$hesklang['mysqltest']='Teste de conexão MySQL';
$hesklang['smtptest']='Teste de conexão SMTP';
$hesklang['pop3test']='Teste de conexão POP3';
$hesklang['contest']='Testando conexão, isto pode demorar um pouco...';
$hesklang['conok']='Conexão com êxito!';
$hesklang['conokn']='No entanto, se seu servidor requer usuário e senha, o email não será enviado!';
$hesklang['saving']='Salvando alterações, aguarde...';
$hesklang['sns']='as alterações foram salvas, porém algumas funcionalidades foram desabilitadas por falha nos testes.';
$hesklang['loops']='Loops de email';
$hesklang['looph']='Max Visitas';
$hesklang['loopt']='Intervalo de tempo';
$hesklang['didum']='Você quis dizer %s?'; // %s changes to email; did you mean someone@example.com?
$hesklang['yfix']='Sim, trocar';
$hesklang['nole']='Não, deixar assim';
$hesklang['sconfe2']='Mostrar campo &quot;Confirmar email&quot; no formulário do ticket';
$hesklang['oln']='Nome anterior:';
$hesklang['nen']='Nome novo:';
$hesklang['use_form_below']='<i>Utilize este formulário para enviar uma solicitação de suporte. Os campos obrigatórios estão marcados com</i>';
$hesklang['esf']='Não foi possível enviar notificações por email.';
$hesklang['qrr']='(Resposta citada eliminada)';
$hesklang['remqr']='Cortar resposta citada';
$hesklang['remqr2']='Eliminar a resposta citada dos emails dos clientes';
$hesklang['suge']='Detectar erros de digitação';
$hesklang['epro']='Provedores de Email';
$hesklang['email_noreply']='&quot;De:&quot; email';
$hesklang['email_name']='&quot;De:&quot; nome';
$hesklang['vscl']='Limites de configuração do servidor';
$hesklang['fnuscphp']='Falha no envio dos anexos. Por favor, teste com um anexo menor ou sem anexo.';
$hesklang['redv']='restaurar a exibição padrão';
$hesklang['fatte1']='Os ajustes de arquivos anexos &quot;Quantidade por Mensagem&quot; é maior do que o servidor permite!';
$hesklang['fatte2']='Os ajustes de tamanho máximo do arquivo anexo é superior do que o servidor permite!';
$hesklang['fatte3']='O servidor não permite mensagens com esse tamanho. Tente reduzir o número de arquivos anexos ou o tamanho do arquivo permitido!';
$hesklang['embed']='Arquivos incorporados';
$hesklang['embed2']='Salvar arquivos incorporados como arquivos anexos';
$hesklang['emrem']='(imagem eliminada)';
$hesklang['hdemo']='(OCULTO NA DEMO)';
$hesklang['ddemo']='Lamentamos, mas esta funcionalidade está desativada em modo DEMO!';
$hesklang['sdemo']='Salvo modificações somente se está desativado o modo DEMO!';
$hesklang['hud']='O HESK está utilizando a versão mais atual!';
$hesklang['hnw']='Atualização disponível';
$hesklang['getup']='Atualizar HESK';
$hesklang['updates']='Atualizações';
$hesklang['updates2']='Verificar automaticamente se há atualizações.';

// Added in version 2.5.0
$hesklang['attdel']='Este arquivo foi excluído do servidor e não está mais disponível para download';
$hesklang['dsen']='Não foi possível enviar uma notificação de e-mail desta resposta para o cliente';
$hesklang['attrem']='* Alguns arquivos anexados foram removidos *';
$hesklang['attnum']='Número máximo alcançado: %s'; // %s will show attachment name
$hesklang['attsiz']='Arquivo muito grande: %s'; // %s will show attachment name
$hesklang['atttyp']='Tipo não permitido: %s'; // %s will show attachment name
$hesklang['adf']='pasta Admin';
$hesklang['atf']='pasta Anexos';
$hesklang['err_adf']='A pasta administrador selecionado (%s) não existe!'; // %s will show folder name
$hesklang['err_atf']='A pasta anexos selecionado (%s) não existe!'; // %s will show folder name
$hesklang['err_atr']='A pasta anexos selecionado (%s) não é gravável!'; // %s will show folder name
$hesklang['fatt']='Arquivos anexados a esta mensagem:';
$hesklang['wrepo']='Por favor, escreva uma resposta após a re-abertura do ticket.';
$hesklang['ktool']='&raquo; FAQ ferramentas';
$hesklang['uac']='Verify and update category article count';
$hesklang['acv']='count artigo foi verificado';
$hesklang['xyz']='número de artigos público, privado e projecto na categoria.';
$hesklang['reports_tab']='relatórios Run'; // Tab title
$hesklang['can_run_reports_full']='pode executar relatórios (todos)';
$hesklang['can_export']='pode exportar bilhetes';
$hesklang['roo']='<i> (apenas bilhetes atribuídos a você são incluídos no relatório) </ i>';
$hesklang['shu']='links curtas';
$hesklang['export']='Export tickets'; // Tab title
$hesklang['export_btn']='bilhetes de exportação'; // Button title
$hesklang['export_intro']='Esta ferramenta permite exportar os bilhetes em uma planilha XML que pode ser aberto no Excel.';
$hesklang['stte']='Select bilhetes para exportar';
$hesklang['dtrg']='Período';
$hesklang['sequentially']='seqüencialmente'; // Order tickets: Sequentially
$hesklang['ede']='Não foi possível criar o diretório de exportação, por favor, crie manualmente uma pasta chamada <b> exportação </ b> dentro da sua pasta de anexos e certificar-se de que é escrito pelo PHP (em Linux CHMOD para 777 - rwxrwxrwx) . ';
$hesklang['eef']='Não foi possível criar o arquivo de exportação, não tem permissão para escrever dentro do diretório de exportação.';
$hesklang['inite']='exportação Inicializar';
$hesklang['gXML']='arquivo XML Gerando';
$hesklang['nrow']='Número de linhas exportadas: %d'; // %d will show number of rows exported
$hesklang['cZIP']='Compressing file into a Zip archive';
$hesklang['eZIP']='Error creating Zip archive';
$hesklang['fZIP']='Terminado comprimir o arquivo';
$hesklang['pmem']='o uso de memória de pico: %.2f Mb'; // %.2f will be replaced with number of Mb used
$hesklang['ch2d']='&raquo; Clique aqui para baixar o arquivo de exportação«';
$hesklang['n2ex']='Não há bilhetes encontradas de acordo com seus critérios, não há nada para exportar';
$hesklang['sp']='SPAM Prevenção'; // For settings page
$hesklang['sit']='-&gt;Tipo de imagem';
$hesklang['sis']='Simples imagem';
$hesklang['sir']='ReCaptcha V1 API (antigo)';
$hesklang['rcpb']='Site key (chave pública)';
$hesklang['rcpv']='Secret key (chave privada)';
$hesklang['pop3keep']='Mantenha uma cópia';

// --> Text used by ReCaptcha
$hesklang['visual_challenge']='Obter um desafio visual';
$hesklang['audio_challenge']='Obter um desafio de áudio';
$hesklang['refresh_btn']='Obter um novo desafio';
$hesklang['instructions_visual']='Digite as duas palavras:';
$hesklang['instructions_context']='Digite as palavras nas caixas:';
$hesklang['instructions_audio']='Digite o que você ouve: ';
$hesklang['help_btn']='Help';
$hesklang['play_again']='Play som novamente';
$hesklang['cant_hear_this']='som Baixar como MP3';
$hesklang['incorrect_try_again']='incorreto. Tente de novo.';
$hesklang['image_alt_text']='reCAPTCHA imagem desafio';
$hesklang['recaptcha_error']='resposta Prevenção SPAM incorreta, por favor, tente novamente.';

// Added in version 2.6.0
$hesklang['ticket_closed']='[#%%TRACK_ID%%] Ticket fechado/resolvido';
$hesklang['ms01']='Jan';
$hesklang['ms02']='Fev';
$hesklang['ms03']='Mar';
$hesklang['ms04']='Abr';
$hesklang['ms05']='Mai';
$hesklang['ms06']='Jun';
$hesklang['ms07']='Jul';
$hesklang['ms08']='Ago';
$hesklang['ms09']='Set';
$hesklang['ms10']='Out';
$hesklang['ms11']='Nov';
$hesklang['ms12']='Dez';
$hesklang['sdf']='Formato de data enviado';
$hesklang['lcf']='Formato de data atualizado';
$hesklang['lcf0']='Descrição curta';
$hesklang['lcf1']='Data e hora';
$hesklang['lcf2']='Estilo HESK';
$hesklang['ticket_tpl']='Templates para Ticket';
$hesklang['can_man_ticket_tpl']='Gerenciar templates de ticket'; // Permission title
$hesklang['ticket_tpl_man']='Gerenciar templates de ticket'; // Page and link title
$hesklang['ticket_tpl_intro']='Criar e editar templates de ticket que você pode utilizar rapidamente para enviar novos tickets pela interface de administrador.';
$hesklang['no_ticket_tpl']='Sem templates de ticket';
$hesklang['ticket_tpl_title']='Título';
$hesklang['delete_tpl']='Você tem certeza que deseja excluir esta template ?';
$hesklang['new_ticket_tpl']='Adicionar ou excluir template de ticket';
$hesklang['ticket_tpl_add']='Criar nova template de ticket';
$hesklang['ticket_tpl_edit']='Editar template de ticket selecionada';
$hesklang['save_ticket_tpl']='Salvar template de ticket';
$hesklang['ticket_tpl_saved']='Sua template de ticket foi salva para uso futuro';
$hesklang['ticket_tpl_removed']='A template de ticket selecionada foi removida do banco de dados';
$hesklang['ticket_tpl_not_found']='Template de ticket não encontrada';
$hesklang['sel_ticket_tpl']='Selecione a template de ticket que você deseja editar.';
$hesklang['ent_ticket_tpl_title']='Entre com o título da template';
$hesklang['ent_ticket_tpl_msg']='Entre com a mensagem da template';
$hesklang['ticket_tpl_id']='ID da template vazia';
$hesklang['select_ticket_tpl']='Selecione uma template de ticket';
$hesklang['list_tickets_cat']='Listar todos os tickets na categoria';
$hesklang['def_msg']='[Sem mensagem]';
$hesklang['emlreqmsg']='Mensagem requerida';
$hesklang['emlreqmsg2']='Ignorar e-mails captados sem mensagem';
$hesklang['relart']='Artigos relacionados'; // Title of related articles box
$hesklang['s_relart']='Artigos relacionados'; // On settings page
$hesklang['tab_7']='Lista de tickets';
$hesklang['fitl']='Campos na lista de tickets';
$hesklang['submitted']='Enviado';
$hesklang['clickemail']='Visualizar';
$hesklang['set_pri_to']='Alterar prioridade para:'; // Action below the ticket list
$hesklang['pri_set_to']='Prioridade alterada para:';
$hesklang['cat_pri']='A prioridade por categorias será usada quando os clientes não têm permissão para selecionar prioridade e o ticket provier da interface do cliente.';
$hesklang['cat_pri_info']='Seus clientes tem permissão para alterar a prioridade, logo a prioridade de categorias será ignorada.<br /><br />Para utilizar a prioridade de categorias DESLIGUE a seguinte opção nas configurações do HESK:';
$hesklang['def_pri']='Prioridade de categoria:';
$hesklang['ch_cat_pri']='Alterar prioridade de categoria';
$hesklang['cat_pri_ch']='Prioridade de categoria alterada para:';
$hesklang['err_dbversion']='Versão de MySQL muito antiga:';
$hesklang['ip_whois']='IP whois';
$hesklang['ednote']='Editar nota';
$hesklang['ednote2']='Nota salva';
$hesklang['perm_deny']='Acesso negado';
$hesklang['mis_note']='ID de nota vazia';
$hesklang['no_note']='Nota com essa ID não encontrada';
$hesklang['sacl']='Salvar e continuar depois';
$hesklang['reply_saved']='Sua mensagem foi salva para uso posterior.';
$hesklang['submit_as']='Enviar como:';
$hesklang['sasc']='Enviar como resposta do Cliente';
$hesklang['creb']='Resposta do cliente enviada por:';
$hesklang['show_select']='Mostrar &quot;Clicar para Selecionar&quot; como opção padrão';
// Settings
$hesklang['mms']='Modo de Manutenção';
$hesklang['mmd']='Habilitar modo de manutenção';
// Customer notice
$hesklang['mm1']='Manutenção em progresso';
$hesklang['mm2']='Devido a uma manutenção agendada, nosso helpdesk está fora do ar temporariamente.';
$hesklang['mm3']='Pedimos desculpas pelo incoveniente e solicitamos que tente novamente mais tarde.';
// Staff notice
$hesklang['mma1']='Modo de manutenção está ativo!';
$hesklang['mma2']='Clientes não estão habilitados a utilizar o helpdesk.';
$hesklang['tools']='Ferramentas';
$hesklang['banemail']='Emails banidos';
$hesklang['banemail_intro']='Impedir certos e-mails de enviarem tickets para o helpdesk.';
$hesklang['no_banemails']='<i>Não há e-mails banidos.</i>';
$hesklang['eperm']='E-mails permanentemente banidos:';
$hesklang['bananemail']='E-mail a banir';
$hesklang['savebanemail']='Banir este e-mail';
$hesklang['enterbanemail']='Entre o endereço de e-mail que deseja banir.';
$hesklang['validbanemail']='Enter um endereço de e-mail válido (<i>john.doe@domain.com</i>) ou domínio (<i>@domain.com</i>)';
$hesklang['email_banned']='O endereço de e-mail <i>%s</i> foi banido e o HESK não aceitará mais tickets dele.'; // %s will be replaced with email
$hesklang['emailbanexists']='O endereço de e-mail <i>%s</i> já está banido.'; // %s will be replaced with email
$hesklang['email_unbanned']='E-mail excluído da lista de e-mails banidos.';
$hesklang['banby']='Banido por';
$hesklang['delban']='Excluir da lista de banidos';
$hesklang['delban_confirm']='Excluir este banimento?';
$hesklang['baned_e']='Você foi banido e não pode enviar novos tickets de suporte.';
$hesklang['baned_ip']='Você foi banido deste helpdesk.';
$hesklang['can_ban_emails']='Pode banir e-mails';
$hesklang['can_unban_emails']='Pode desbanir e-mails (habilita Pode banir e-mails)';
$hesklang['eisban']='Este e-mail está banido.';
$hesklang['click_unban']='Clique aqui para desbanir.';
$hesklang['banip']='IPs banidos';
$hesklang['banip_intro']='Visitantes oriundos de um IP banido não têm permissão de visualizar ou enviar tickets ou logar no help desk.';
$hesklang['ipperm']='Lista de IP banidos permanentemente:';
$hesklang['iptemp']='Falha de login - Banidos:';
$hesklang['savebanip']='Banir este IP';
$hesklang['no_banips']='<i>Não há IPs banidos.</i>';
$hesklang['bananip']='IPs para banir';
$hesklang['banex']='Exemplos:';
$hesklang['iprange']='Range de IPs';
$hesklang['ippermban']='Banir este IP permanentemente';
$hesklang['enterbanip']='Entre o range de IP que você deseja banir.';
$hesklang['validbanip']='Entre com um IP ou range de IPs válido';
$hesklang['ip_banned']='O endereço de IP <i>%s</i> foi banido e o HESK não aceitará mais tickets enviados deste IP.'; // %s will be replaced with IP
$hesklang['ip_rbanned']='O range de IP <i>%s</i> foi banido e o HESK não aceitará mais tickets enviados deste range de IPs.'; // %s will be replaced with IP
$hesklang['ipbanexists']='O endereço de IP <i>%s</i> já está banido.'; // %s will be replaced with IP
$hesklang['iprbanexists']='O range de IP <i>%s</i> já está banido.'; // %s will be replaced with IP
$hesklang['ip_unbanned']='O banimento do IP foi excluido';
$hesklang['ip_tempun']='O banimento temporário do IP foi excluído.';
$hesklang['can_ban_ips']='Pode banir IPS';
$hesklang['can_unban_ips']='Pode desbanir IPs (habilita Pode banir IPs)';
$hesklang['ipisban']='Esse IP está banido.';
$hesklang['m2e']='Expira em (minutos)';
$hesklang['info']='Informação';
$hesklang['sm_title']='Mensagens de serviço';
$hesklang['sm_intro']='Mostra uma mensagem de serviço na área do cliente, por exemplo, para notificá-los sobre problemas conhecidos e notícias importantes.';
$hesklang['can_service_msg']='Editar mensagens de serviço';
$hesklang['new_sm']='Nova mensagem de serviço';
$hesklang['edit_sm']='Editar mensagem de serviço';
$hesklang['ex_sm']='Mensagens de serviço existentes';
$hesklang['sm_author']='Autor';
$hesklang['sm_type']='Tipo';
$hesklang['sm_published']='Publicado';
$hesklang['sm_draft']='Rascunho';
$hesklang['sm_style']='Estilo';
$hesklang['sm_none']='Nenhum';
$hesklang['sm_success']='Sucesso';
$hesklang['sm_info']='Informação';
$hesklang['sm_notice']='Notícia';
$hesklang['sm_error']='Erro';
$hesklang['sm_save']='Salvar mensagem de serviço';
$hesklang['sm_preview']='Pré-visualizar mensagem de serviço';
$hesklang['sm_mtitle']='Título';
$hesklang['sm_msg']='Mensagem';
$hesklang['sm_e_title']='Digite o título da mensagem de serviço';
$hesklang['sm_e_msg']='Digite a mensagem de serviço';
$hesklang['sm_e_id']='ID da mensagem de serviço vazia';
$hesklang['sm_added']='Uma nova mensagem de serviço foi adicionada';
$hesklang['sm_deleted']='Mensagem de serviço excluída';
$hesklang['sm_not_found']='Essa mensagem de serviço não existe';
$hesklang['no_sm']='Sem mensagens de serviço';
$hesklang['del_sm']='Excluir essa mensagem de serviço ?';
$hesklang['sm_mdf']='Mensagem de serviço salva';
$hesklang['sska']='Exibir artigos sugeridos';
$hesklang['taws']='Esses artigos foram sugeridos:';
$hesklang['defaults']='Padrões';
$hesklang['pncn']='Selecionar opção de notificar o cliente no formulário de novo ticket';
$hesklang['pncr']='Selecionar opção de notificar o cliente no formulário de resposta do ticket';
$hesklang['pssy']='Exibir quais artigos da base de conhecimento serão sugeridos aos clientes';
$hesklang['ccct']='Solucionado pelo cliente';
$hesklang['custnot']='Notificar os clientes quando';
$hesklang['notnew']='Um novo ticket de suporte foi enviado';
$hesklang['notclo']='O ticket de suporte foi marcado como Resolvido';
$hesklang['enn']='Exceto por piping/busca POP3 se o assunto do e-mail contiver:';
$hesklang['spamn']='Aviso de SPAM';
$hesklang['spam_inbox']='<span style="color:red"><b>Sem e-mail de confirmação?</b><br />Nós enviamos uma mensagem de confirmação para seu endereço de e-mail. Se você não recebê-la dentro de alguns minutos por favor cheque sua caixa de spam ou lixeira. Marque essa mensagem como <b>Não SPAM</b> para evitar problemas em receber nossas correspondências no futuro.</span>';
$hesklang['ekb_n']='<b>NÃO</b>, desabilitar base de conhecimento';
$hesklang['ekb_y']='<b>SIM</b>, habilitar base de conhecimento';
$hesklang['ekb_o']='<b>SIM</b>, usar o HESK apenas como base de conhecimento (<i>desabilita o helpdesk</i>)';
$hesklang['kb_set']='Configurações da base de conhecimento';
$hesklang['kbo1']='Modo somente base de conhecimento';
$hesklang['kbo2']='<br /><br />Visitantes não podem enviar novos tickets de suporte e são enviados diretamente para a base de conhecimento.';
$hesklang['fpass']='Esqueceu sua senha?';
$hesklang['passr']='Redefinir senha';
$hesklang['passa']='Permitir usuários redefinam senhas esquecidas através do e-mail';
$hesklang['passe']='Entre com o seu endereço de e-mail';
$hesklang['passs']='Envie-me o link de redefinição de senha';
$hesklang['noace']='Não foi encontrada nenhuma conta vinculada a este endereço de e-mail';
$hesklang['pemls']='Enviamos a você um e-mail com instruções sobre como redefinir sua senha';
$hesklang['reset_password']='Redefina sua senha do help desk'; // Email subject
$hesklang['ehash']='Link de redefinição de senha expirado ou inválido';
$hesklang['ehaip']='Endereço de IP inváldio. Redefinições de senha somente podem ser realizadas através do IP das quais a requisição foi originada..';
$hesklang['resim']='<b>Configure sua nova senha abaixo!</b>';
$hesklang['permissions']='Permissões';
$hesklang['atype']='Tipo de Conta';
$hesklang['astaff']='Equipe';
$hesklang['oon1']='Envie-me apenas tickets abertos';
$hesklang['oon2']='Envie-me todos os meus tickets';
$hesklang['anyown']='Qualquer proprietário';
$hesklang['pfr']='Outra tarefa de busca POP3 está em progresso.';
$hesklang['pjt']='Timeout de tarefa atingido.';
$hesklang['pjt2']='minutos após o início';
$hesklang['nkba']='A busca na base de conhecimento requer artigos suficientes para funcionar corretamente.<br /><br />Considere adicionar mais artigos à base de conhecimento para melhorar os resultados de busca e sugestões de artigos.';
$hesklang['saa']='Arigos mais relevantes são exibidos no topo da lista de artigos';
$hesklang['yhbr']='Você foi bloqueado pelo sistema por %s minutos devido a um excesso de respostas a um mesmo ticket.';
$hesklang['sir2']='ReCaptcha V2 API (recomendado)';

// Language for Google reCaptcha API version 2
// Supported language codes: https://developers.google.com/recaptcha/docs/language
// If your language is NOT in the supported langauges, leave 'en'
$hesklang['RECAPTCHA']='pt-BR';

// Added in version 2.7.0
$hesklang['imap']='IMAP Fetching';
$hesklang['imaph']='IMAP Host';
$hesklang['imapp']='IMAP Port';
$hesklang['enc']='Encryption';
$hesklang['ssl']='SSL';
$hesklang['tls']='TLS';
$hesklang['none']='None';
$hesklang['imapu']='IMAP Username';
$hesklang['imapw']='IMAP Password';
$hesklang['imaptest']='Test IMAP connection';
$hesklang['ifd']='[HESK] IMAP FETCHING IS DISABLED IN SETTINGS';
$hesklang['iei']='[HESK] PHP IMAP extension is not installed.';
$hesklang['ifr']='Another IMAP fetching task is still in progress.';
$hesklang['arp']='Auto reload page';
$hesklang['arpp']='Automatically reload page with ticket list every:';
$hesklang['seconds']='seconds';
$hesklang['minutes']='minutes';
$hesklang['atbr']='This ticket needs to be assigned before it can be replied to.';
$hesklang['attm']='Assign this ticket to me';
$hesklang['owneed']='Owner needed';
$hesklang['taat']='This ticket is already assigned to <b>%s</b>.';
$hesklang['scoy']='Are you sure you want to assign it to yourself?';
$hesklang['scot']='Are you sure you want to assign it to %s?';
$hesklang['ycto']='YES, change the owner';
$hesklang['ncto']='NO, keep current owner';
$hesklang['fass']='Require owner';
$hesklang['req_sub']='Require subject';
$hesklang['req_msg']='Require message';
$hesklang['req_email']='Require email';
$hesklang['default_subject']='Ticket from %s';
$hesklang['off-hide']='Hide in customer form';
$hesklang['not_valid_email']='Enter a valid email address or leave this field empty';
$hesklang['write_down']='<span style="color:red">We recommend that you write down your Ticket ID for future reference.</span>';
$hesklang['re_confirm1']='Disabling this will also disable "Require email to view tickets" under "Security". Proceed?';
$hesklang['re_confirm2']='Enabling this will also enable "Require email" under "Features". Proceed?';
$hesklang['can_email_tpl']='Edit email templates';
$hesklang['et_title']='Email templates';
$hesklang['et_intro']='Modify emails that are sent to your staff and customers';
$hesklang['file']='File';
$hesklang['efile']='Editing file';
$hesklang['rdesc']='(Recipient) Description';
$hesklang['desc_forgot_ticket_id']='(Customer) Forgot ticket tracking ID';
$hesklang['desc_new_reply_by_staff']='(Customer) New staff reply';
$hesklang['desc_new_ticket']='(Customer) Ticket received';
$hesklang['desc_ticket_closed']='(Customer) Ticket closed/resolved';
$hesklang['desc_category_moved']='(Staff) Ticket moved to a new category';
$hesklang['desc_new_reply_by_customer']='(Staff) New customer reply';
$hesklang['desc_new_ticket_staff']='(Staff) New ticket submitted';
$hesklang['desc_ticket_assigned_to_you']='(Staff) A ticket was assigned to you';
$hesklang['desc_new_pm']='(Staff) New private message';
$hesklang['desc_new_note']='(Staff) New note on a ticket assigned to you';
$hesklang['desc_reset_password']='(Staff) Reset your password';
$hesklang['etfm']='One or more email templates are missing.<br /><br />Make sure you upload all email template files inside your <i>/language/%s/emails</i> folder.';
$hesklang['etfw']='Some email templates are not writable.<br /><br />
                    Make sure PHP has permission to write to all files inside your <i>/language/%s/emails</i> folder.<br /><br />
                    On Unix servers you might need to CHMOD email templates to 666 (rw-rw-rw-)';
$hesklang['et_e_id']='Missing template ID';
$hesklang['et_fm']='This email template file is missing';
$hesklang['et_fw']='This email template file is not writable';
$hesklang['et_save']='Save email template';
$hesklang['updated_on']='Updated on';
$hesklang['ticket_url']='Ticket URL';
$hesklang['pm_url']='Private message URL';
$hesklang['et_num']='Number of tickets';
$hesklang['et_list']='List of support tickets';
$hesklang['et_empty']='Email template cannot be empty';
$hesklang['et_saved']='Email template saved';
$hesklang['source']='Source';
$hesklang['select_category']='Select a category';
$hesklang['select_category_text']='What can we help you with?';
$hesklang['select_category_staff']='Select ticket category';
$hesklang['scat']='Category select limit';
$hesklang['scat2']='(a select box will show if category count is higher)';
$hesklang['new_cf']='New custom field';
$hesklang['cf_intro']='Use this feature to add custom fields to the Submit a ticket form so you can collect additional data from customers.';
$hesklang['cf_public']='Public';
$hesklang['cf_private']='Staff only';
$hesklang['cf_cust']='For customers';
$hesklang['cf_all']='All';
$hesklang['cf_cat']='Selected';
$hesklang['cf_ctrl']='Tip: hold down CTRL key to select multiple categories';
$hesklang['visibility']='Visibility';
$hesklang['cf_save']='Save custom field';
$hesklang['ex_cf']='Active custom fields';
$hesklang['no_cf']='No active custom fields';
$hesklang['del_cf']='Delete this custom field? This will also delete any saved custom field data from the database!';
$hesklang['cf_e_id']='Invalid ID';
$hesklang['edit_cf']='Edit custom field';
$hesklang['cf_deleted']='Custom field deleted';
$hesklang['cf_not_found']='This custom field does not exist';
$hesklang['cf_added']='A new custom field has been added';
$hesklang['cf_nocat']='Select at least one category for this custom field';
$hesklang['cf_mdf']='Custom field has been saved';
$hesklang['atl1']='Enter at least one option.';
$hesklang['sch']='Hidden';
$hesklang['meml3']='Allow multiple emails to be entered';
$hesklang['dmin']='Minimum accepted date';
$hesklang['dmax']='Maximum accepted date';
$hesklang['d_day']='day(s)';
$hesklang['d_week']='week(s)';
$hesklang['d_month']='month(s)';
$hesklang['d_year']='year(s)';
$hesklang['d_any']='Any date';
$hesklang['d_fixed']='Fixed date';
$hesklang['d_relative']='Relative date';
$hesklang['d_mm']='Minimum date may not be higher than maximum date';
$hesklang['d_emin']='Minimum date for <i>%s</i> is %s';
$hesklang['d_emax']='Maximum date for <i>%s</i> is %s';
$hesklang['d_format']='Date display format';
$hesklang['d_custom']='Custom format';
$hesklang['d_ci']='ADVANCED USERS ONLY: a valid PHP date format, see PHP manual.';
$hesklang['cf_noe']='Enter a valid email address into <i>%s</i>';
$hesklang['cf_noem']='Enter one or more valid email addresses into <i>%s</i>';
$hesklang['cf_limit']='You have 50 active custom fields, no new can be created.';
$hesklang['can_resolve']='Can resolve tickets';
$hesklang['can_change_own_cat']='Change ticket category (to allowed)';
$hesklang['can_submit_any_cat']='Can submit tickets to any category';
$hesklang['noauth_submit']='You are not authorized to submit tickets to this category!';
$hesklang['noauth_move']='You are not authorized to move tickets to this category!';
$hesklang['noauth_resolve']='You are not authorized to resolve tickets!';
$hesklang['force_ssl']='Force SSL connections';
$hesklang['d_ssl']='<i>disabled</i> - open this page with https:// to manage this option';
$hesklang['scno']='This status cannot be changed';
$hesklang['statuses']='Statuses';
$hesklang['statuses_intro']='Use this tool to add custom ticket statuses to your help desk';
$hesklang['color']='Color';
$hesklang['csscl']='CSS class or color';
$hesklang['clr_view']='Color preview on text';
$hesklang['cbc']='Changeable by customers';
$hesklang['ccc']='Can customers change this status?';
$hesklang['del_status']='Delete this status?';
$hesklang['ex_status']='Existing statuses';
$hesklang['status_hesk']='Built-in Statuses (cannot be modified here)';
$hesklang['status_custom']='Custom Statuses';
$hesklang['status_custom_none']='No custom statuses. You can add them using the form above.';
$hesklang['status_save']='Save status';
$hesklang['list_tkt_status']='List all tickets with this status';
$hesklang['new_status']='New custom status';
$hesklang['edit_status']='Edit custom status';
$hesklang['err_status']='Enter the status name';
$hesklang['status_added']='A new custom status has been added';
$hesklang['status_e_id']='Invalid ID';
$hesklang['status_mdf']='Custom status has been saved';
$hesklang['status_deleted']='Custom status deleted';
$hesklang['status_not_found']='This custom status does not exist';
$hesklang['status_not_empty']='This status cannot be removed because tickets with this status exist';
$hesklang['status_limit']='You have 100 custom statuses, no new can be created.';
$hesklang['public_link']='Public link';
$hesklang['frames']='Frames';
$hesklang['frames2']='Prevent loading HESK in frames on third party domains';
$hesklang['numsub']='Submitted tickets';
$hesklang['hidf']='Hidden inputs are not visible to customers on the Submit a ticket form (the value will still be visible on ticket details page if they are set as public). They behave as normal text fields for staff members.';
$hesklang['rcheck']='Do not select a default option';
$hesklang['refresh_page']='Refresh this page';
$hesklang['del_kba']='Delete this article';
$hesklang['del_kbaa']='Permanently delete this article';
$hesklang['hni1']='HESK not installed yet?';
$hesklang['hni2']='It appears that this help desk has not been properly installed and configured yet.';
$hesklang['hni3']='To install HESK, follow <a href="docs/">Instructions in the documentation</a>';
$hesklang['cf']='Cache folder';
$hesklang['e_cdir']='Hesk will not be able to parse emails or cache results unless the cache folder exists and is writable.';
$hesklang['step1']='Step 1';
$hesklang['step2']='Step 2';
$hesklang['dffs']='When download completes, delete the file from server';
$hesklang['fd']='Export file deleted from server';

// DO NOT CHANGE BELOW
if (!defined('IN_SCRIPT')) die('PHP syntax OK!');